Welcome to the Treehouse Community

The Treehouse Community is a meeting place for developers, designers, and programmers of all backgrounds and skill levels to get support. Collaborate here on code errors or bugs that you need feedback on, or asking for an extra set of eyes on your latest project. Join thousands of Treehouse students and alumni in the community today. (Note: Only Treehouse students can comment or ask questions, but non-students are welcome to browse our conversations.)

Looking to learn something new?

Treehouse offers a seven day free trial for new students. Get access to thousands of hours of content and a supportive community. Start your free trial today.

Development Tools Console Foundations Installing Software Building Software From Source

Omar Farag
Omar Farag
4,573 Points

Can't install build essentials

I ran the command: sudo apt-get install build-essentials

The thing is, it keeps giving me an error message.

Reading Package lists...Done Building dependency tree...Done Reading state information...Done E: Unable to locate package build-essentials

3 Answers

Seth Kroger
Seth Kroger
56,407 Points

The package name is mistyped. It should be build-essential, singular not plural.

Konrad Pilch
Konrad Pilch
2,435 Points

Please delete this since its repeating itself like 6times.

Omar Farag
Omar Farag
4,573 Points

How is it repeating itself?

Konrad Pilch
Konrad Pilch
2,435 Points

http://imgur.com/lqHwkeW

You should get notification because i wrote to the others as well.